#if Server
/*
 * 由SharpDevelop创建。
 * 用户： Administrator
 * 日期: 2018-10-20
 * 时间: 16:17
 * 
 * 要改变这种模板请点击 工具|选项|代码编写|编辑标准头文件
 */
using Newtonsoft.Json;
using System;
using System.Text;
using System.Xml;

namespace GameData
{
    /// <summary>
    /// Description of GameConfig.
    /// </summary>
    public class GameConfig 
    {
        /// <summary>
        /// 游戏的gameid
        /// </summary>
        public int gameid;

        /// <summary>
        /// 服务器版本
        /// </summary>
        public int serverVer;

        /// <summary>
        /// 客户端id
        /// </summary>
        public int gameClientId;

        /// <summary>
        /// 游戏名称
        /// </summary>
        public string gameName;

        /// <summary>
        /// 最大的玩家数量
        /// </summary>
        public int maxPlayer;

        /// <summary>
        /// 是否打开朋友房
        /// </summary>
        public int OpenFriendRoom;

        /// <summary>
        /// 是否开启金币模式
        /// </summary>
        public int OpenGlod;

        /// <summary>
        /// 城堡配置 没城堡表示没有金币场
        /// </summary>
        public CastleConfig[] castles;
        
        /// <summary>
        /// 厅配置
        /// </summary>
        public TingConfig[] tings;

        /// <summary>
        /// 游戏模式 0普通模式  1百家乐模式  2休闲模式
        /// </summary>
        public int gameMode;
        
        
        /// <summary>
        /// 游戏规则-游戏通用规则,长度为50
        /// </summary>
        public string gameGz;
        
        /// <summary>
        /// 游戏类型 0是牌类 1是麻将类
        /// </summary>
        public int style;
        
        /// <summary>
        /// 开放平台 0表示所有 1表示pc 2表示手机
        /// </summary>
        public int plat;

        /// <summary>
        /// 排序数字
        /// </summary>
        public int sortNum;

        /// <summary>
        /// 游戏图片
        /// </summary>
        public int imgNum;

        /// <summary>
        /// 活动状态
        /// </summary>
        public int activezt;

        /// <summary>
        /// 游戏配置
        /// </summary>
        public GameConfig() { }
        
        /// <summary>
        /// 
        /// </summary>
        /// <returns></returns>
        public override string ToString()
        {

            StringBuilder sb = new StringBuilder();
            sb.AppendLine("gameid:" + this.gameid);
            sb.AppendLine("gameClientId:" + this.gameClientId);
            sb.AppendLine("gameName:" + this.gameName);
            sb.AppendLine("maxPlayer:" + this.maxPlayer);
            sb.AppendLine("OpenFriendRoom:" + this.OpenFriendRoom);
            sb.AppendLine("OpenGlod:" + OpenGlod);

            if (castles == null)
                sb.AppendLine("castles is null");
            else
            {
                int len = castles.Length;
                for (int i = 0; i < len; i++)
                {
                    sb.Append("castles " + i + ":" + System.Environment.NewLine + "," + castles[i].ToString());

                }
            }

            if (tings == null)
            {
                sb.AppendLine("tings is null");

            }
            else
            {
                int len = tings.Length;
                for (int i = 0; i < len; i++)
                {
                    sb.Append("tings " + i + ":" + System.Environment.NewLine + "," + tings[i].ToString());
                }
            }

            sb.AppendLine("gameMode:" + gameMode);

            sb.AppendLine("style:" + style);

            sb.AppendLine("gameGz:" + gameGz);
            

            sb.AppendLine("plat:" + plat);

            sb.AppendLine("sortNum:" + sortNum);

            sb.AppendLine("imgNum:" + imgNum);

            sb.AppendLine("activezt:" + activezt);

            return sb.ToString();

        }
    }

}
#endif